'use strict';

var React = require('react');

var styles = {"link":"_8oxipSwiMJQ-","spinning":"iU2hXJfEJ-E-"};

function Link({ url, children, ariaLabel, ariaExpanded, external = false, }) {
    return (React.createElement("a", Object.assign({ href: url }, (external && {
        target: "_blank",
        rel: "noopener noreferrer",
    }), (ariaLabel && { "aria-label": ariaLabel }), (ariaExpanded && { "aria-expanded": ariaExpanded }), { className: styles.link }), children));
}

exports.Link = Link;
